TICKIT_WINDOW_SET_CURSOR_POSITION(3)

NAME
tickit_window_set_cursor_position, tickit_window_set_cursor_visible, tickit_window_set_cursor_shape - modify the cursor state on a window

SYNOPSIS
    #include <tickit.h>

    void tickit_window_set_cursor_position(TickitWindow *win, int line, int col);
    void tickit_window_set_cursor_visible(TickitWindow *win, bool visible);
    void tickit_window_set_cursor_shape(TickitWindow *win, TickitCursorShape shape);

Link with -ltickit.

DESCRIPTION
tickit_window_set_cursor_position() sets the position within the given window where the terminal cursor would be displayed, if the window has the focus.

tickit_window_set_cursor_visible() sets whether the terminal cursor is visible when the given window has the focus.

tickit_window_set_cursor_shape() sets what shape the terminal cursor will have if the given window has the focus.

Note that none of these functions actually affect the input focus directly, they simply set what the state of the cursor will be if the given window has the input focus. To set the input focus, see tickit_window_take_focus(3).

RETURN VALUE
These functions all return no value.

SEE ALSO
tickit_window_new(3), tickit_window_take_focus(3), tickit_window(7), tickit_rect(7), tickit(7)